import 'package:mmoo_base_recharge/generated/json/base/json_convert_content.dart';
import 'package:mmoo_base_recharge/card/entity/card_state_entity.dart';

CardStateEntity $CardStateEntityFromJson(Map<String, dynamic> json) {
	final CardStateEntity cardStateEntity = CardStateEntity();
	final String? state = jsonConvert.convert<String>(json['state']);
	if (state != null) {
		cardStateEntity.state = state;
	}
	final List<CardStateList>? list = jsonConvert.convertListNotNull<CardStateList>(json['list']);
	if (list != null) {
		cardStateEntity.list = list;
	}
	return cardStateEntity;
}

Map<String, dynamic> $CardStateEntityToJson(CardStateEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['state'] = entity.state;
	data['list'] =  entity.list?.map((v) => v.toJson()).toList();
	return data;
}

CardStateList $CardStateListFromJson(Map<String, dynamic> json) {
	final CardStateList cardStateList = CardStateList();
	final String? name = jsonConvert.convert<String>(json['name']);
	if (name != null) {
		cardStateList.name = name;
	}
	final String? code = jsonConvert.convert<String>(json['code']);
	if (code != null) {
		cardStateList.code = code;
	}
	return cardStateList;
}

Map<String, dynamic> $CardStateListToJson(CardStateList entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['name'] = entity.name;
	data['code'] = entity.code;
	return data;
}