import 'dart:convert';

import 'package:mmoo_base_recharge/generated/json/base/json_field.dart';
import 'package:mmoo_base_recharge/generated/json/card_state_entity.g.dart';

@JsonSerializable()
class CardStateEntity {
  String? state;
  List<CardStateList>? list;

  CardStateEntity();

  factory CardStateEntity.fromJson(Map<String, dynamic> json) =>
      $CardStateEntityFromJson(json);

  Map<String, dynamic> toJson() => $CardStateEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}

@JsonSerializable()
class CardStateList {
  String? name;
  String? code;

  CardStateList();

  factory CardStateList.fromJson(Map<String, dynamic> json) =>
      $CardStateListFromJson(json);

  Map<String, dynamic> toJson() => $CardStateListToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
