import 'package:vibration/vibration.dart';

class RechargeMediaUtil {
  factory RechargeMediaUtil() => _getInstance()!;

  static RechargeMediaUtil get instance => _getInstance()!;
  static RechargeMediaUtil? _instance;

  RechargeMediaUtil._internal() {
  }

  static RechargeMediaUtil? _getInstance() {
    if (_instance == null) _instance = RechargeMediaUtil._internal();
    return _instance;
  }

  void startVibration({bool vibrate = true, repeat = 0}) async {
    if (vibrate && await Vibration.hasVibrator() == true) {
      if (repeat == -1) {
        Vibration.vibrate(pattern: [100, 100], repeat: -1);
      } else {
        Vibration.vibrate(pattern: [800, 1000], repeat: repeat);
      }
    }
  }
}
